// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class SSDArgs : global::Pulumi.ResourceArgs
    {
        [Input("id", required: true)]
        public Input<string> Id { get; set; } = null!;

        [Input("partitions", required: true)]
        public Input<Inputs.PartitionConfigArgs> Partitions { get; set; } = null!;

        public SSDArgs()
        {
        }
        public static new SSDArgs Empty => new SSDArgs();
    }
}
